---
title: RTCRtpCodecParameters
slug: Web/API/RTCRtpCodecParameters
tags:
  - API
  - Codec Configuration
  - Codec Parameters
  - Codec Preferences
  - Dictionary
  - Interface
  - Media
  - RTCRtpCodecParameters
  - RTCRtpReceiver
  - RTCRtpSender
  - RTCRtpTransceiver
  - RTP
  - Reference
  - SDP
  - WebRTC
  - setCodecPreferences
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The {{domxref("RTCRtpCodecParameters")}} dictionary, part of the WebRTC API, is used to describe the configuration parameters for a single media {{Glossary("codec")}}.</span> In addition to being the type of the {{domxref("RTCRtpParameters.codecs")}} property, it's used when calling {{domxref("RTCRtpTransceiver.setCodecPreferences()")}} to configure a transceiver's codecs before beginning the offer/answer process to establish a WebRTC peer connection.</p>

<p>Most of the fields in this property take values which are defined and maintained by the Internet Assigned Numbers Authority (IANA). References to relevant IANA documents are provided in the {{anch("See also", "see also")}} section at the end of this article.</p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("RTCRtpCodecParameters.payloadType", "payloadType")}} {{optional_inline}}</dt>
 <dd>The <a href="https://www.iana.org/assignments/rtp-parameters/rtp-parameters.xhtml#rtp-parameters-1">RTP payload type</a> used to identify this codec.</dd>
 <dt>{{domxref("RTCRtpCodecParameters.mimeType", "mimeType")}} {{optional_inline}}</dt>
 <dd>The codec's MIME media type and subtype specified as a {{domxref("DOMString")}} of the form <code>"type/subtype"</code>. IANA maintains a <a href="https://www.iana.org/assignments/rtp-parameters/rtp-parameters.xhtml#rtp-parameters-2">registry of valid MIME types</a>.</dd>
 <dt>{{domxref("RTCRtpCodecParameters.clockRate", "clockRate")}} {{optional_inline}}</dt>
 <dd>An unsigned long integer value specifying the codec's clock rate in hertz (Hz). The clock rate is the rate at which the codec's RTP timestamp advances. Most codecs have specific values or ranges of values they permit; see the <a href="https://www.iana.org/assignments/rtp-parameters/rtp-parameters.xhtml#rtp-parameters-2">IANA payload format media type registry</a> for details.</dd>
 <dt>{{domxref("RTCRtpCodecParameters.channels", "channels")}} {{optional_inline}}</dt>
 <dd>An unsigned short integer indicating the number of channels the codec should support. For example, for audio codecs, a value of 1 specifies monaural sound while 2 indicates stereo.</dd>
 <dt>{{domxref("RTCRtpCodecParameters.sdpFmtpLine", "sdpFmtpLine")}} {{optional_inline}}</dt>
 <dd>A <code>DOMString</code> containing the format-specific parameters field from the <code>"a=fmtp"</code> line in the codec's {{Glossary("SDP")}}, if one is present; see <a href="https://tools.ietf.org/html/draft-ietf-rtcweb-jsep-24#section-5.8">section 5.8 of the IETF specification for JSEP</a>.
 <div class="note"><strong>Note:</strong> On an {{domxref("RTCRtpReceiver")}}, the format-specific parameters come from the SDP sent by the remote peer, while for {{domxref("RTCRtpSender")}}, they're provided by the local description.</div>
 </dd>
</dl>

<h2 id="See_also">See also</h2>

<dl>
 <dt><a href="https://www.iana.org/assignments/rtp-parameters/rtp-parameters.xhtml">Real-Time Transport Protocol (RTP) Parameters</a></dt>
 <dd>The IANA document providing registries of permitted values for the RTP parameters used by this dictionary.</dd>
</dl>
